# Generated by rust2rpm
%bcond_without check

%global crate rpick

Name:           rust-%{crate}
Version:        0.4.0
Release:        1%{?dist}
Summary:        Helps you pick items from a list by various algorithms

# Upstream license specification: GPL-3.0
License:        GPLv3
URL:            https://crates.io/crates/rpick
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(dirs/default) >= 1.0.0 with crate(dirs/default) < 2.0.0)
BuildRequires:  (crate(rand/default) >= 0.6.0 with crate(rand/default) < 0.7.0)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
BuildRequires:  (crate(serde/derive) >= 1.0.0 with crate(serde/derive) < 2.0.0)
BuildRequires:  (crate(serde_yaml/default) >= 0.8.0 with crate(serde_yaml/default) < 0.9.0)
BuildRequires:  (crate(structopt/default) >= 0.2.0 with crate(structopt/default) < 0.3.0)

%global _description \
Helps you pick items from a list by various algorithms. Example uses: pick a\
restaurant you haven't been to in a while, or an album to listen to.

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_bindir}/rpick

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun May 12 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0.
- https://gitlab.com/bowlofeggs/rpick/blob/0.4.0/CHANGELOG.md

* Sat May 04 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1 (#1698689).
- https://gitlab.com/bowlofeggs/rpick/blob/0.3.1/CHANGELOG.md

* Thu Apr 11 16:11:59 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Wed Mar 13 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Tue Mar 05 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.0-1
- Update to 0.1.0

* Fri Feb 22 2019 Randy Barlow <randy@electronsweatshop.com> - 0.0.0-1
- Initial package
